
Ruby - Bug #9326

No superclass method in ruby 2.1

12/31/2013 06:33 AM - nmueller (Nate Mueller)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.1.0p0 (2013-12-25 revision

44422) [x86_64-darwin13.0]

Backport:  

Description

Runing ruby 2.1 plus nobu's patch from issue 9315.  Without the patch it segfaults.

Found this testing testing test-redef with ruby 2.1.  Works on 2.0.0-p353 and fails on 2.1.0.  When the replacement method calls the

alias directly it works but when we fetch the method and #call it the mixin can't super up.

History

#1 - 12/31/2013 08:14 AM - nobu (Nobuyoshi Nakada)

Does it work on the trunk?

#2 - 12/31/2013 10:36 PM - wanabe (_ wanabe)

Seems to be fine on ruby_2_1, after r44410 (merging r44380).

I confirmed NoMethodError is raised on 2.1.0 (r44340) and not on ruby_2_1 (r44443).

But 'ruby -v' of this ticket is revision 44422 (> 44410).

Really test.rb fails on r44422? I can't figure out what happens.

#3 - 01/03/2014 03:49 AM - nmueller (Nate Mueller)

Confirmed that it works on trunk.  Looks like the fix was r44458.  It still fails on ruby_2_1.

I can't explain the 'ruby -v' discrepancy.  I did a fresh download of 2.1.0 and confirmed that's what it reports.

#4 - 01/03/2014 09:16 AM - hsbt (Hiroshi SHIBATA)

I created backport issue #9349 for Ruby 2.1.

#5 - 02/09/2014 05:46 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

ruby_2_1 fixed this issue. Please wait until next release of Ruby 2.1

Files

test.rb 492 Bytes 12/31/2013 nmueller (Nate Mueller)
